> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an address check

> Returns the stored risk assessment for a previously submitted address check.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/checks/address/{id}
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/checks/address/{id}:
    get:
      tags:
        - Address Checks
      summary: Get an address check
      description: >-
        Returns the stored risk assessment for a previously submitted address
        check.
      operationId: GET_/api/v4/kyt/checks/address/:id
      parameters:
        - description: Check identifier.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Check not found.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressCheckResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/AddressCheckResponse'
          description: Address check.
      security:
        - ApiKey: []
components:
  schemas:
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    AddressCheckResponse:
      description: AddressCheckResponse schema
      properties:
        address:
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          pattern: >-
            ^(0x[0-9a-fA-F]{40}|T[1-9A-HJ-NP-Za-km-z]{33}|[13][a-km-zA-HJ-NP-Z1-9]{25,34}|bc1[02-9ac-hj-np-z]{7,76}|BC1[02-9AC-HJ-NP-Z]{7,76})$
          type: string
        balance:
          example: '1.2340'
          type: string
        blockchain:
          enum:
            - btc
            - eth
            - trx
          example: eth
          type: string
        direct_entities:
          items:
            nullable: true
            properties:
              incoming_amount:
                example: '0.5000'
                type: string
              name:
                example: Binance
                type: string
              outgoing_amount:
                example: '0.0000'
                type: string
              type:
                example: EXCHANGE_LICENSED
                type: string
              type_label:
                example: Licensed Exchange
                type: string
            type: object
          type: array
        direct_payments:
          items:
            nullable: true
            properties:
              risk_score_grade:
                example: high
                nullable: true
                type: string
              total:
                example: '150.00'
                nullable: true
                type: string
              total_count:
                example: '3'
                nullable: true
                type: string
              total_count_coef:
                example: '0.01'
                nullable: true
                type: string
              type:
                example: SANCTIONS
                nullable: true
                type: string
              type_label:
                example: Sanctions
                nullable: true
                type: string
            type: object
          type: array
        error:
          example: ''
          nullable: true
          type: string
        id:
          example: a1b2c3d4-e5f6-4890-8bcd-ef1234567890
          format: uuid
          type: string
        indirect_entities:
          items:
            nullable: true
            properties:
              incoming_amount:
                example: '0.2000'
                type: string
              name:
                example: Kraken
                nullable: true
                type: string
              outgoing_amount:
                example: '0.0000'
                type: string
              type:
                example: EXCHANGE_LICENSED
                type: string
              type_label:
                example: Licensed Exchange
                type: string
            type: object
          type: array
        indirect_payments:
          items:
            nullable: true
            properties:
              risk_score_grade:
                example: moderate
                nullable: true
                type: string
              total:
                example: '50.00'
                nullable: true
                type: string
              total_count:
                example: '1'
                nullable: true
                type: string
              total_count_coef:
                example: '0.005'
                nullable: true
                type: string
              type:
                example: MIXING_SERVICE
                nullable: true
                type: string
              type_label:
                example: Mixing Service
                nullable: true
                type: string
            type: object
          type: array
        name:
          example: Vitalik Buterin
          nullable: true
          type: string
        received:
          example: '1.7340'
          type: string
        risk_score:
          example: '0.15'
          nullable: true
          type: string
        risk_score_grade:
          enum:
            - high
            - moderate
            - low
            - undefined
          example: low
          nullable: true
          type: string
        sanctions:
          nullable: true
          properties:
            found:
              example: true
              type: boolean
            lists:
              items:
                properties:
                  name:
                    example: Israel Sanctioned Crypto Wallets List
                    type: string
                  url:
                    example: https://example.org/sanctions/list
                    type: string
                type: object
              type: array
          type: object
        sent:
          example: '0.5000'
          type: string
        status:
          example: success
          type: string
        token:
          enum:
            - ''
            - USDC
            - USDT
          example: ''
          type: string
        type:
          example: ONLINE_WALLET
          nullable: true
          type: string
        type_label:
          example: Online Wallet
          nullable: true
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````